Show / Hide Table of Contents

# Class OpenIddictConverter

Represents a JSON.NET converter able to convert OpenIddict primitives.

##### Inheritance

System.Object
OpenIddictConverter

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictConverter : JsonConverter<OpenIddictMessage>

### Methods

#### CanConvert(Type)

Determines whether the specified type is supported by this converter.

##### Declaration

    public override bool CanConvert(Type typeToConvert)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | typeToConvert | The type to convert.

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the type is supported, `false` otherwise.

#### Read(ref Utf8JsonReader, Type, JsonSerializerOptions)

Deserializes an OpenIddictMessage instance.

##### Declaration

    public override OpenIddictMessage Read(ref Utf8JsonReader reader, Type typeToConvert, JsonSerializerOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
Utf8JsonReader | reader | The JSON reader.
System.Type | typeToConvert | The type of the deserialized instance.
JsonSerializerOptions | options | The JSON serializer options.

##### Returns

Type | Description
--- | ---
OpenIddictMessage | The deserialized OpenIddictMessage instance.

#### Write(Utf8JsonWriter, OpenIddictMessage, JsonSerializerOptions)

Serializes an OpenIddict primitive.

##### Declaration

    public override void Write(Utf8JsonWriter writer, OpenIddictMessage value, JsonSerializerOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
Utf8JsonWriter | writer | The JSON writer.
OpenIddictMessage | value | The instance.
JsonSerializerOptions | options | The JSON serializer options.